## uwsgi 2.0.17.1

=== debian/changelog ===
uwsgi (2.0.17.1-8build1) disco; urgency=medium

  * No-change rebuild to build for python3.7 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Oct 2018 18:20:46 +0000

uwsgi (2.0.17.1-8) unstable; urgency=medium

  * Fix stop enable flag autoload by default
    in package uwsgi-emperor (not only uwsgi).
    See: Bug#900174.
  * Add shebang to init scripts.
    Closes: Bug#910051. Thanks to Jeremy Bicha.
  * Add patch to fix limit readline output to buffer size.
    Closes: Bug#846362. Thanks to Juho Heikkinen.
  * Improve README.Debian in package uwsgi: Add concrete config example.
    Closes: Bug#825266. Thanks to Geert Stappers.
  * Tidy uwsgi.README.Debian: Fix typo.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Oct 2018 10:22:00 +0200

uwsgi (2.0.17.1-7) unstable; urgency=medium

  * Fix avoid spurious version bump in upstream cherry-picked patch.
    Thanks to Jeremy Bicha.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 01 Oct 2018 09:34:09 +0200

uwsgi (2.0.17.1-6) unstable; urgency=medium

  * Add patches cherry-picked upstream:
    + Allow one to use autoport (socket :0) with custom socket backlog.
    + Check if __file__ attribute returns None.
    + Port pyuwsgi to python3.
    + Re-indent pyuwsgi.
    + Fix unix socket inheritance after reload on FreeBSD.
    + Fix argv/environ allocation on python3 for pyuwsgi.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 30 Sep 2018 13:52:03 +0200

uwsgi (2.0.17.1-5) unstable; urgency=medium

  * Fix typo in NEWS entry.
  * Update package relations:
    + Fix have uwsgi depend on lsb-base
      (and drop related ill-informed lintian override).

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 23 Sep 2018 20:43:21 +0200

uwsgi (2.0.17.1-4) unstable; urgency=medium

  * Fix stop enable flag autoload by default.
    Closes: Bug#900174. Thanks to Johannes Schauer.
  * Tidy comments in default.in.
  * Set Rules-Requires-Root: no.
  * Declare compliance with Debian Policy 4.2.1.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 22 Sep 2018 19:49:13 +0200

uwsgi (2.0.17.1-3) unstable; urgency=medium

  * Acknowledge NMU.
    Closes: Bug#904737. Thanks to gregor herrmann.
  * Revert to build.depend on gccgo (not gccgo-8): gccgo-defaults and
    gcc-defaults are in sync again.
  * Remove support for disabling uwsgi in /etc/default/uwsgi.
    Add NEWS entry about the change.
    Closes: Bug#845433. Thanks to Mathias Behrle.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 15 Sep 2018 04:10:45 +0200

uwsgi (2.0.17.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS: unable to build gccgo plugin":
    change build dependency from gccgo-7 to gccgo-8.
    (Closes: #904737)

 -- gregor herrmann <gregoa@debian.org>  Mon, 06 Aug 2018 21:23:33 +0200

uwsgi (2.0.17.1-2) unstable; urgency=medium

  * Fix revert broken parts of git commit af44874:
    Avoid passing all Python 3.x include paths to all build targets.
    Closes: Bug#903560. Thanks to wavexx.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 11 Jul 2018 16:01:12 +0200

uwsgi (2.0.17.1-1) unstable; urgency=medium

  [ upstream ]
  * Release 2.0.16:
    + Fix stack-based buffer overflow.
      Closes: Bug#889753. CVE-2018-6758.
    + Backport early_post_jail plugin hook.
    + Fix ipv6 suupport for http-socket.
    + Enable execinfo on DragonFly BSD.
    + Fix inet_ntop buffer size.
    + Add worker running time metrics.
    + Backport safe-pidfile, safe-pidfile2.
    + Stop using libxml2 by default on osx.
    + Fix uwsgi_kvlist_parse signature.
    + Backport http range fixes from master.
    + Relicense mod_proxy_uwsgi to Apache 2.0.
    + logging: Add ${millis} support to json encode.
    + plugins/router_xmldir: Fix invalid locale check.
    + Add ssl-verify-depth flag to set the max Client CA chain length.
    + Allow one to override build date.
    + Python 3 plugin: improve thread names handling.
    + Add uwsgi_resolve_ip for redis host.
    + plugins/gevent: Fix signal handlers.
    + Write x509 DER to the uwsgi buffer.
    + plugin/http: Fix compilation.
    + Fixed emperor throttling system.
    + Fix application loading without Plack
      after excluding “.” from @INC in new Perl versions.
    + Fix MULE MSG QUEUE IS FULL message hint.
    + Build System: support k_minor has a _xxx suffix.
    + Fix drop-after-* options.
    + Add mule_send_msg success indicator.
    + Properly check item size in uwsgi_queue_push.
    + FastRouter / HTTP Router can now have a ‘fallback’ key configured.
    + HTTP Router now supports post-buffer, just like FastRouter.
    + Fix handling of env in embedded dict in Python plugin
      (could cause segfaults in single thread mode).
    + Add support for Brotli (.br) with –static-gzip.
    + Backport HTTP/1.1 support (–http11-socket) from 2.1.
  * Release 2.0.17:
    + Emperor throttling subsystem no longer use blocking functions,
      fixing stats serving and improving vassals startup time.
    + Enforce DOCUMENT_ROOT check when using –php-docroot
      to avoid directory traversal.
      Closes: Bug#891639. CVE-2018-7490.
    + Add –shutdown-sockets to improve graceful shutdowns.
  * Release 2.0.17.1:
    + Fix memory leak in HTTPS_CLIENT_CERTIFICATE.
    + TLSv1 is now disabled by default
      (you can re-enable it with ssl-enable-tlsv1 at your own risk).
    + Improve daemons throttle system.
    + Add “secs” log formatting variable.
    + Improve snprintf() usage to be OpenBSD-friendly.
    + Improve glibc crypt/crypt_r management.
    + Fix websocket pong timeout check.
    + Add the “License” classifier to setup.py.
    + Add support for php user.ini.
    + Official support for Python 3.7.

  [ Jonas Smedegaard ]
  * Update watch file: Fix mangle filename.
  * Update copyright info:
    + Extend coverage for main author to include past year.
    + Relicense Apache module: License Apache-2.0.
  * Drop patches cherry-picked upstream and since applied.
    Unfuzz patch 1002.
    Refresh patch 1015 with shortening quilt options.

