=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2010 Leonid Borisenko <leo.borisenko@gmail.com>
# Copyright © 2012-2013 Janos Guljas <janos@debian.org>
# Copyright © 2013-2017 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for uWSGI
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/buildvars.mk

# exclude broken plugins
# (pkglist tweaking must be done before including most CDBS snippets)
pkg_broken :=
DEB_ARCH_PACKAGES := $(filter-out $(pkg_broken),$(DEB_ARCH_PACKAGES))
DEB_INDEP_PACKAGES := $(filter-out $(pkg_broken),$(DEB_INDEP_PACKAGES))

include /usr/share/cdbs/1/class/python-module.mk
include /usr/share/cdbs/1/rules/debhelper.mk

# TODO: Use only java-common (not java-helper) when bug#814783 is fixed in stable)
-include /usr/share/javahelper/java-vars.mk
-include /usr/share/java/java_defaults.mk

# Needed by upstream build and (always) to build extermal modules
deps-lib = libpcre3-dev, libssl-dev, uuid-dev, zlib1g-dev
deps-lib +=, libcap-dev [linux-any], libjail-dev [kfreebsd-any]

# Needed (always/often) to build external modules
deps-dev = binutils, gcc, python, uwsgi-core
deps-dev +=, libc6-dev | libc-dev
deps-dev +=, libbsd-dev [kfreebsd-any]
deps-dev-recommends = git, cppcheck

# the equivalent of "uwsgi-core --dot-h | md5sum" at runtime
abi = $(firstword $(shell echo | cat uwsgi.h - | md5sum))

CDBS_BUILD_DEPENDS +=, $(deps-lib), 2to3
CDBS_DEPENDS_uwsgi-dev +=, $(deps-lib), $(deps-dev)
CDBS_RECOMMENDS_uwsgi-dev +=, $(deps-dev-recommends)
CDBS_PROVIDES_uwsgi-core +=, uwsgi-abi-$(abi)
CDBS_ENHANCES_uwsgi-dev +=, debhelper

# recent cdbs needed for flavor-specifics like cdbs_python2_defaultruntime
CDBS_BUILD_DEPENDS +=, cdbs (>= 0.4.145)

# resolve supported architectures for arch-varying build-dependencies
# (in maintainer mode only: uses network and messes with control file)
# * explicitly avoid powerpc for mono: Underlying libgdiplus is missing
ifneq (,$(DEB_MAINTAINER_MODE))
$(shell sh debian/pkgarchs.sh glusterfs-common > debian/ARCHS_glusterfs)
$(shell sh debian/pkgarchs.sh python-greenlet-dev > debian/ARCHS_greenlet)
$(shell sh debian/pkgarchs.sh python-trollius > debian/ARCHS_trollius)
$(shell sh debian/pkgarchs.sh openjdk-11-jdk > debian/ARCHS_openjdk11)
$(shell sh debian/pkgarchs.sh libmono-2.0-dev | perl -pe 's/\bpowerpc\b//' > debian/ARCHS_mono)
$(shell sh debian/pkgarchs.sh librados-dev > debian/ARCHS_rados)
$(shell sh debian/pkgarchs.sh gccgo > debian/ARCHS_gccgo)
endif
UWSGI_ARCHLISTS = glusterfs greenlet trollius openjdk11 \
	mono rados gccgo
$(foreach list,$(UWSGI_ARCHLISTS),\
	$(eval UWSGI_ARCHS_$(list) := $(shell cat debian/ARCHS_$(list))))
ifneq (,$(DEB_MAINTAINER_MODE))
debian/control::
	sed -i \
		$(foreach list,$(UWSGI_ARCHLISTS),\
			-e 's/@$(list)_archs@/$(UWSGI_ARCHS_$(list))/g') \
		-e 's/@ruby_kind@/$(UWSGI_KIND_ruby)/g' \
		debian/control
endif

# Common variables
# ================

UWSGI_ENV = CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"

UWSGI_BUILDER = uwsgiconfig.py -v

APACHE2_API := $(shell perl -ne 'print $$1 if m/our\s+\$$API\s+=\s+"(.*)"/' < $(shell which dh_apache2))
APACHE2_BUILDER := apxs2 -c $(shell apr-config --link-ld) $(shell apu-config --link-ld)

# Python install path for dh_install, as expected by dh_pythonX helpers
# * strip minor from python 3.x
# * leading slash omitted
python_installdir = usr/lib/$(cdbs_curpythondefaultflavor:python3%=python3)/dist-packages

# Transform plugin's package name to plugin's name:
# * delete dots
# * replace '-' with '_'
# * strip trailing openjdk delimiter
pkg_name_to_plugin_name = $(strip \
	$(subst openjdk_,openjdk,$(subst -,_,$(subst .,,$(1)))))

UWSGI_PLUGIN_INFILES := $(wildcard debian/*__PLUGIN__*.in)
UWSGI_PLUGINLANGS = python java lua ruby

UWSGI_KINDS_python = python python3
UWSGI_SRCPLUGINS_LANG_SELF += python
UWSGI_SRCPLUGINS_python = gevent greenlet tornado
UWSGI_SRCPLUGINS_python += $(if $(UWSGI_ARCHS_trollius),asyncio)
UWSGI_SRCPLUGINS_python3 = asyncio gevent greenlet tornado

UWSGI_KINDS_java = openjdk-11
UWSGI_DEFAULTKIND_java = openjdk-11
UWSGI_SRCPLUGINS_java = jvm jwsgi ring servlet

UWSGI_KINDS_lua = lua5.1 lua5.2
UWSGI_DEFAULTKIND_lua = lua5.1
UWSGI_SRCPLUGINS_LANG_SELF += lua

# Ruby kinds resolved as per packaging team policy (see bug#755779)
# TODO: simplify when ruby-all-dev is in stable
# TODO: maybe simplify to call "dh_ruby --print-supported" when stable
UWSGI_DEFAULTKIND_ruby := $(notdir $(shell readlink -f /usr/bin/ruby))
UWSGI_KINDS_ruby := $(strip \
	$(if $(wildcard /usr/lib/ruby/vendor_ruby/ruby_debian_dev.rb),\
		$(shell ruby -rruby_debian_dev \
			-e 'include RubyDebianDev;' \
			-e 'SUPPORTED_RUBY_VERSIONS.select! do |version, binary|;' \
				-e 'puts version;' \
			-e 'end'),\
		$(UWSGI_DEFAULTKIND_ruby)))
# dirty hack: use only default kind even where multiple should work
# TODO: support multiple Ruby kinds (requires dynamic control file sections)
UWSGI_KINDS_ruby := $(filter $(UWSGI_DEFAULTKIND_ruby),$(UWSGI_KINDS_ruby))
UWSGI_KIND_ruby := $(UWSGI_KINDS_ruby)$(strip $(if $(strip \
	$(filter 1,$(words $(UWSGI_KINDS_ruby)))),\
		,\
		$(error ERROR: multiple Ruby kinds not supported)))
UWSGI_SRCPLUGINS_ruby = rack

UWSGI_PLUGIN_PACKAGES = $(filter uwsgi-plugin-%,$(DEB_PACKAGES))

UWSGI_SRCPLUGINS_AVAILABLE := $(sort $(notdir $(wildcard plugins/*)))
UWSGI_SRCPLUGINS_ZEROMQ = emperor_zeromq logzmq mongrel2
UWSGI_SRCPLUGINS_ARCH_gccgo = gccgo
# TODO: enable PyPy when supported by CDBS
UWSGI_SRCPLUGINS_TODO = pypy
# plugins not yet ready for production use
UWSGI_SRCPLUGINS_EXPERIMENTAL = asyncio libffi libtcc router_spnego
# plugins irrelevant/unusable for Debian
UWSGI_SRCPLUGINS_ALIEN = airbrake alarm_speech mongodb stackless \
	emperor_mongodb gridfs mongodblog php stats_pusher_mongodb v8
UWSGI_SRCPLUGINS_DEMO = cplusplus dumbloop dummy example exception_log
UWSGI_SRCPLUGINS_UNKNOWN = legion_cache_fetch objc_gc pyuwsgi ruby19
UWSGI_SRCPLUGINS_EXCLUDE = $(UWSGI_SRCPLUGINS_ALIEN) \
	$(UWSGI_SRCPLUGINS_DEMO) $(UWSGI_SRCPLUGINS_EXPERIMENTAL) \
	$(UWSGI_SRCPLUGINS_TODO) $(UWSGI_SRCPLUGINS_UNKNOWN) coroae
UWSGI_SRCPLUGINS_WANTED = $(filter-out $(UWSGI_SRCPLUGINS_EXCLUDE),\
	$(UWSGI_SRCPLUGINS_AVAILABLE))
UWSGI_SRCPLUGINS_ADDON_LANG = $(call pkg_name_to_plugin_name,\
	$(UWSGI_SRCPLUGINS_LANG_SELF) \
	$(foreach lang,$(UWSGI_PLUGINLANGS),$(UWSGI_SRCPLUGINS_$(lang))))
UWSGI_SRCPLUGINS_ADDON_MISC = alarm_curl alarm_xmpp curl_cron \
	emperor_pg fiber gccgo geoip glusterfs graylog2 ldap mono psgi \
	rados rbthreads router_access sqlite3 xslt
# tun/tap is unavailable on the Hurd
# systemd is available only on linux
# tuntap plugin broken on kFreeBSD: https://github.com/unbit/uwsgi/issues/695
UWSGI_SRCPLUGINS_SKIP = \
	$(foreach list,$(UWSGI_ARCHLISTS),\
		$(if $(filter-out $(UWSGI_ARCHS_$(list)),$(DEB_HOST_ARCH)),\
			$(UWSGI_SRCPLUGINS_ARCH_$(list)))) \
	$(if $(filter hurd,$(DEB_HOST_ARCH_OS)),\
		tuntap) \
	$(if $(filter kfreebsd,$(DEB_HOST_ARCH_OS)),\
		tuntap) \
	$(if $(filter-out linux,$(DEB_HOST_ARCH_OS)),\
		systemd_logger)
UWSGI_SRCPLUGINS_SKIPINSTALL =
UWSGI_SRCPLUGINS_CORE = $(filter-out \
	$(UWSGI_SRCPLUGINS_ADDON_LANG) $(UWSGI_SRCPLUGINS_ADDON_MISC) \
	$(UWSGI_SRCPLUGINS_SKIP),\
	$(UWSGI_SRCPLUGINS_WANTED))
UWSGI_SRCPLUGINS_CORE_INSTALL = $(filter-out \
	$(UWSGI_SRCPLUGINS_SKIPINSTALL),\
	$(UWSGI_SRCPLUGINS_CORE))
