## uwsgi 2.0.18

=== debian/changelog ===
uwsgi (2.0.18-11ubuntu1) focal; urgency=medium

  * Sync with Debian. Remaining change:
    - Build using gcc-10 to match the gccgo version

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 11 Apr 2020 07:15:55 -0400

uwsgi (2.0.18-11) unstable; urgency=medium

  * remove Thomas Goirand as uploader;
    thanks for past contributions
  * relax to build-depend unversioned on cdbs:
    needed version satisfied even in oldstable
  * cleanup after python wipeout
  * copyright: extend coverage
  * use debhelper compatibility level 10 (not 9)

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 10 Apr 2020 23:24:43 +0200

uwsgi (2.0.18-10) unstable; urgency=medium

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #938766

  [ Thomas Goirand ]
  * Add python3-compat.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 10 Apr 2020 17:05:52 +0200

uwsgi (2.0.18-9) unstable; urgency=medium

  * provide binary package uwsgi-plugin-rack-ruby2.7
    (not uwsgi-plugin-rack-ruby2.5);
    closes: bug#954700, #954787,
    thanks to Lucas Nussbaum and Lucas Kanashiro

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 23 Mar 2020 15:44:29 +0100

uwsgi (2.0.18-8) unstable; urgency=medium

  * fix have uwsgi-plugin-python3 provide virtual httpd-wsgi3
    (not httpd-wsgi: accidentally changed since 2.0.12-8);
    closes: bug#952707, thanks to Michael Fladischer
  * re-enable arch mipsel in rados build-dependencies;
    closes: bug#949882, #949885, thanks to Peter Green

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 28 Feb 2020 15:19:58 +0100

uwsgi (2.0.18-7) unstable; urgency=medium

  * add patch cherry-picked upstream
    to fix php memory corruption for uwsgi_cache_*
  * exclude arch mipsel from rados build-dependencies;
    closes: bug#948726, thanks to Peter Green
  * have uwsgi only rotate logfiles below /var/log/uwsgi/app
    (avoid ones directly below /var/log/uwsgi)
    to not clash with uwsgi-emperor;
    closes: bug#925954, thanks to Laurent Bonnaud
  * add patch 1006 to use pkg-config with libxml2
    (not deprecated xml2-config);
    closes: bug#949509, thanks to Mattia Rizzolo
  * stop buid-depend on libqdbm-dev
    (seems related to php plugin and even there apparently unneeded);
    closes: bug#924586, thanks to Andreas Hasenack

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 23 Jan 2020 11:52:29 +0100

uwsgi (2.0.18-6) unstable; urgency=medium

  * add patch cherry-picked upstream to avoid segfault with php 7.4
  * really declare compliance with Debian Policy 4.4.1
  * stop include mips in arch-specific dependencies

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 09 Dec 2019 11:58:02 +0100

uwsgi (2.0.18-5) unstable; urgency=medium

  [ Alexandre Rossi ]
  * Disable matheval plugin build (deprecated upstream).
    Closes: #941432. Thanks to Pierre-Elliott Bécue.

  [ Jonas Smedegaard ]
  * Declare compliance with Debian Policy 4.4.1.
  * Update watch file: Use dversionmangle=auto.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 17 Oct 2019 17:04:55 +0200

uwsgi (2.0.18-4) unstable; urgency=medium

  [ Alexandre Rossi ]
  * PHP plugin: Fix PHP7 sessions.
    Closes: Bug#933736.

  [ Jonas Smedegaard ]
  * Tighten patches to normalize name and always use DEP3 headers.
  * Declare compliance with Debian Policy 4.4.0.
  * Fix really stop build-depend on glusterfs-common.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 14 Aug 2019 16:26:03 +0200

uwsgi (2.0.18-3) unstable; urgency=medium

  * debian/control build-depends: Replaced glusterfs-common by libglusterfs-dev
    (Closes: #919665).

 -- Thomas Goirand <zigo@debian.org>  Sat, 20 Jul 2019 19:30:26 +0200

uwsgi (2.0.18-2) unstable; urgency=medium

  * Add plugins_logsocket_always_initialize_ul.count.patch from upstream,
    fixing occasional segfault. Thanks to Luca Toscano <toscano.luca@gmail.com>
    for the bug report (Closes: #928927).

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 May 2019 12:35:55 +0200

uwsgi (2.0.18-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Drop patches cherry-picked upstream now applied.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 10 Feb 2019 03:42:46 +0100

uwsgi (2.0.17.1-11) unstable; urgency=medium

  * Fix strip repeated words in NEWS entry.
  * Add patches cherry-picked upstream:
    + Fix uwsgi_pythonize in python plugin.
    + Fix segfaults when value of --wsgi-env-behavior is invalid.
    + Fix segfaults in long-lived environment
      with --wsgi-env-behavior=holy.
  * Declare compliance with Debian Policy 4.3.0.
  * Update copyright info:
    + Strip superfluous copyright signs.
    + Fix list upstream issue tracker as Upstream-Contact.
    + Update primary source URL.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 27 Dec 2018 17:37:18 +0100

uwsgi (2.0.17.1-10) unstable; urgency=medium

  * Make Unix sockets readable by www-data by default,
    independent of runtime user/group.
    Add NEWS entry about change to Unix sockets ownership.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 10 Dec 2018 20:26:13 +0100

uwsgi (2.0.17.1-9) unstable; urgency=medium

  * Fix install uwsgi.java with packages uwsgi-plugin-jvm-*.
    Closes: Bug#911217.
  * Add patch cherry-picked upstream to fix reload pyuwsgi.
  * Unfuzz patch 1002.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 17 Nov 2018 13:51:51 +0100
