=== debian/control ===
--- 
+++ 
@@ -4,12 +4,10 @@
 Maintainer: uWSGI packaging team <pkg-uwsgi-devel@lists.alioth.debian.org>
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
- Thomas Goirand <zigo@debian.org>,
 Build-Depends-Indep:
  shellcheck,
 Build-Depends:
- cdbs (>= 0.4.145),
- python,
+ cdbs,
  python3,
  dh-python,
  debhelper,
@@ -22,10 +20,11 @@
  libjail-dev [kfreebsd-any],
  2to3,
  apache2-dev | apache2-threaded-dev,
- cli-common-dev [amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mipsel ppc64el s390x],
+ cli-common-dev [amd64 arm64 armel armhf i386 mipsel ppc64el s390x],
  dh-apache2 | apache2-dev,
- gccgo [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x],
- glusterfs-common [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x],
+ g++-10,
+ gccgo [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
+ libglusterfs-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
  help2man,
  java-common,
  javahelper,
@@ -42,13 +41,11 @@
  libldap2-dev,
  liblua5.1-0-dev,
  liblua5.2-dev,
- libmatheval-dev,
  libonig-dev,
  libpam0g-dev,
  libperl-dev,
  libpq-dev,
- libqdbm-dev,
- librados-dev [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x],
+ librados-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
  libsqlite3-dev,
  libsystemd-dev [!kfreebsd-any !hurd-any] | libsystemd-journal-dev [!kfreebsd-any !hurd-any],
  libwrap0-dev,
@@ -56,18 +53,15 @@
  libxslt1-dev,
  libyaml-dev,
  libzmq5-dev | libzmq3-dev [!hurd-any] | libzmq-dev [!kfreebsd-any !hurd-any],
- mono-devel [amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mipsel ppc64el s390x],
- openjdk-11-jdk [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x],
+ mono-devel [amd64 arm64 armel armhf i386 mipsel ppc64el s390x],
+ openjdk-11-jdk [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
  pkg-config,
- python-all-dev,
- python-greenlet-dev [amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel ppc64el s390x],
- python3-greenlet [amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel ppc64el s390x],
- python-greenlet [amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel ppc64el s390x],
- python-trollius [any],
+ python-greenlet-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
+ python3-greenlet [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
  python3-all-dev,
  ruby,
  ruby-all-dev | ruby-dev,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Homepage: http://projects.unbit.it/uwsgi/
 Vcs-Git: https://salsa.debian.org/uwsgi-team/uwsgi.git
 Vcs-Browser: https://salsa.debian.org/uwsgi-team/uwsgi
@@ -148,22 +142,6 @@
  package if you need to debug module or if you need a useful backtrace of a
  crash.
 
-Package: python-uwsgidecorators
-Architecture: all
-Section: python
-Depends:
- uwsgi-core,
- uwsgi-plugin-python,
- ${misc:Depends},
- ${python:Depends},
-Description: module of decorators for elegant access to uWSGI API (Python 2)
- uwsgidecorators is a simple Python module that exports a bunch of decorators
- to allow a more elegant approach to uWSGI API. Provided decorators helps with
- creating of RPC functions, timers, filemonitors.
- .
- This package provides uwsgidecorators module
- for Python 2.
-
 Package: python3-uwsgidecorators
 Architecture: all
 Section: python
@@ -215,18 +193,17 @@
 Package: uwsgi-app-integration-plugins
 Architecture: any
 Depends:
- uwsgi-plugin-gccgo (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x],
- uwsgi-plugin-jvm-openjdk-11 (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x],
- uwsgi-plugin-jwsgi-openjdk-11 (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x],
+ uwsgi-plugin-gccgo (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
+ uwsgi-plugin-jvm-openjdk-11 (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
+ uwsgi-plugin-jwsgi-openjdk-11 (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
  uwsgi-plugin-lua5.1 (= ${binary:Version}),
  uwsgi-plugin-lua5.2 (= ${binary:Version}),
- uwsgi-plugin-mono (= ${binary:Version}) [amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mipsel ppc64el s390x],
+ uwsgi-plugin-mono (= ${binary:Version}) [amd64 arm64 armel armhf i386 mipsel ppc64el s390x],
  uwsgi-plugin-psgi (= ${binary:Version}),
- uwsgi-plugin-python (= ${binary:Version}),
  uwsgi-plugin-python3 (= ${binary:Version}),
  uwsgi-plugin-rack-${uwsgi:RubyKind} (= ${binary:Version}),
- uwsgi-plugin-ring-openjdk-11 (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x],
- uwsgi-plugin-servlet-openjdk-11 (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x],
+ uwsgi-plugin-ring-openjdk-11 (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
+ uwsgi-plugin-servlet-openjdk-11 (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
  ${misc:Depends},
 Description: plugins for integration of uWSGI and application
  uWSGI presents a complete stack for networked/clustered web applications,
@@ -243,7 +220,7 @@
   * Lua WSAPI (Lua 5.1 and 5.2)
   * Mono/ASP.NET
   * Perl PSGI
-  * Python WSGI (Python 2 and 3)
+  * Python WSGI (Python 3)
   * Rack (${uwsgi:RubyKinds})
  .
  Java and Mono plugins are provided only on supported architectures.
@@ -355,3 +332,25 @@
  ${cdbs:Enhances},
 Description: fast, self-healing application container server (headers)
  uWSGI presents a complete stack for networked/clustered web applications,
+ implementing message/object passing, caching, RPC and process management.
+ .
+ This package provides development headers and tools needed to develop
+ external uWSGI plugins, either contained in this package or pulled in
+ through depending on development packages of dependent projects.
+
+Package: uwsgi-emperor
+Architecture: any
+Priority: optional
+Depends:
+ uwsgi-core (= ${binary:Version}),
+ ${cdbs:Depends},
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: fast, self-healing application container server (emperor scripts)
+ uWSGI presents a complete stack for networked/clustered web applications,
+ implementing message/object passing, caching, RPC and process management.
+ It uses the uwsgi protocol for all the networking/interprocess communications.
+ .
+ uWSGI can be run in preforking, threaded, asynchronous/evented modes and
+ supports various forms of green threads/coroutines (such as uGreen, Greenlet,
+ Fiber). uWSGI provides several methods of configuration: via command line,
