=== debian/rules ===
--- 
+++ 
@@ -1,22 +1,6 @@
 #!/usr/bin/make -f
-# -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2010 Leonid Borisenko <leo.borisenko@gmail.com>
-# Copyright © 2012-2013 Janos Guljas <janos@debian.org>
-# Copyright © 2013-2017 Jonas Smedegaard <dr@jones.dk>
-# Description: Main Debian packaging script for uWSGI
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2, or (at your option)
-# any later version.
-#
-# This program is distributed in the hope that it will be useful, but
-# WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
-# General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+export CC = gcc-10
 
 include /usr/share/cdbs/1/rules/buildvars.mk
 
@@ -38,7 +22,7 @@
 deps-lib +=, libcap-dev [linux-any], libjail-dev [kfreebsd-any]
 
 # Needed (always/often) to build external modules
-deps-dev = binutils, gcc, python, uwsgi-core
+deps-dev = binutils, gcc, python3, uwsgi-core
 deps-dev +=, libc6-dev | libc-dev
 deps-dev +=, libbsd-dev [kfreebsd-any]
 deps-dev-recommends = git, cppcheck
@@ -51,9 +35,6 @@
 CDBS_RECOMMENDS_uwsgi-dev +=, $(deps-dev-recommends)
 CDBS_PROVIDES_uwsgi-core +=, uwsgi-abi-$(abi)
 CDBS_ENHANCES_uwsgi-dev +=, debhelper
-
-# recent cdbs needed for flavor-specifics like cdbs_python2_defaultruntime
-CDBS_BUILD_DEPENDS +=, cdbs (>= 0.4.145)
 
 # resolve supported architectures for arch-varying build-dependencies
 # (in maintainer mode only: uses network and messes with control file)
@@ -61,13 +42,12 @@
 ifneq (,$(DEB_MAINTAINER_MODE))
 $(shell sh debian/pkgarchs.sh glusterfs-common > debian/ARCHS_glusterfs)
 $(shell sh debian/pkgarchs.sh python-greenlet-dev > debian/ARCHS_greenlet)
-$(shell sh debian/pkgarchs.sh python-trollius > debian/ARCHS_trollius)
 $(shell sh debian/pkgarchs.sh openjdk-11-jdk > debian/ARCHS_openjdk11)
 $(shell sh debian/pkgarchs.sh libmono-2.0-dev | perl -pe 's/\bpowerpc\b//' > debian/ARCHS_mono)
 $(shell sh debian/pkgarchs.sh librados-dev > debian/ARCHS_rados)
 $(shell sh debian/pkgarchs.sh gccgo > debian/ARCHS_gccgo)
 endif
-UWSGI_ARCHLISTS = glusterfs greenlet trollius openjdk11 \
+UWSGI_ARCHLISTS = glusterfs greenlet openjdk11 \
 	mono rados gccgo
 $(foreach list,$(UWSGI_ARCHLISTS),\
 	$(eval UWSGI_ARCHS_$(list) := $(shell cat debian/ARCHS_$(list))))
@@ -90,11 +70,6 @@
 APACHE2_API := $(shell perl -ne 'print $$1 if m/our\s+\$$API\s+=\s+"(.*)"/' < $(shell which dh_apache2))
 APACHE2_BUILDER := apxs2 -c $(shell apr-config --link-ld) $(shell apu-config --link-ld)
 
-# Python install path for dh_install, as expected by dh_pythonX helpers
-# * strip minor from python 3.x
-# * leading slash omitted
-python_installdir = usr/lib/$(cdbs_curpythondefaultflavor:python3%=python3)/dist-packages
-
 # Transform plugin's package name to plugin's name:
 # * delete dots
 # * replace '-' with '_'
@@ -105,12 +80,11 @@
 UWSGI_PLUGIN_INFILES := $(wildcard debian/*__PLUGIN__*.in)
 UWSGI_PLUGINLANGS = python java lua ruby
 
-UWSGI_KINDS_python = python python3
+UWSGI_KINDS_python = python3
 UWSGI_SRCPLUGINS_LANG_SELF += python
-UWSGI_SRCPLUGINS_python = gevent greenlet tornado
-UWSGI_SRCPLUGINS_python += $(if $(UWSGI_ARCHS_trollius),asyncio)
-UWSGI_SRCPLUGINS_python3 = asyncio gevent greenlet tornado
-
+UWSGI_SRCPLUGINS_python = asyncio gevent greenlet tornado
+
+# TODO: avoid non-default java kinds until spearate package uwsgi-java added
 UWSGI_KINDS_java = openjdk-11
 UWSGI_DEFAULTKIND_java = openjdk-11
 UWSGI_SRCPLUGINS_java = jvm jwsgi ring servlet
@@ -148,10 +122,11 @@
 # TODO: enable PyPy when supported by CDBS
 UWSGI_SRCPLUGINS_TODO = pypy
 # plugins not yet ready for production use
-UWSGI_SRCPLUGINS_EXPERIMENTAL = asyncio libffi libtcc router_spnego
+UWSGI_SRCPLUGINS_EXPERIMENTAL = libffi libtcc router_spnego
 # plugins irrelevant/unusable for Debian
-UWSGI_SRCPLUGINS_ALIEN = airbrake alarm_speech mongodb stackless \
-	emperor_mongodb gridfs mongodblog php stats_pusher_mongodb v8
+UWSGI_SRCPLUGINS_ALIEN = airbrake alarm_speech matheval mongodb \
+    stackless emperor_mongodb gridfs mongodblog php \
+	stats_pusher_mongodb v8
 UWSGI_SRCPLUGINS_DEMO = cplusplus dumbloop dummy example exception_log
 UWSGI_SRCPLUGINS_UNKNOWN = legion_cache_fetch objc_gc pyuwsgi ruby19
 UWSGI_SRCPLUGINS_EXCLUDE = $(UWSGI_SRCPLUGINS_ALIEN) \
@@ -187,3 +162,43 @@
 	$(UWSGI_SRCPLUGINS_SKIPINSTALL),\
 	$(UWSGI_SRCPLUGINS_CORE))
 
+UWSGI_MODULE_INFILES := $(wildcard debian/*__MODULE__*.in)
+
+UWSGI_MODULES_apache = uwsgi ruwsgi proxy-uwsgi
+
+# types of packaging scripts to use (tried from left to right)
+# * pri: binary and library
+# * sec: only binary
+# * aux: only library
+# * *-py: same as above but for (potentially) multiple python flavors
+# * openjdk: non-java code linked against OpenJDK
+# * python: python hooks
+# * single: only one flavor exist
+UWSGI_PKGSCRIPTS_DEFAULT = sec
+UWSGI_PKGSCRIPTS_jvm = openjdk pri
+UWSGI_PKGSCRIPTS_jwsgi = openjdk aux
+UWSGI_PKGSCRIPTS_ring = openjdk aux
+UWSGI_PKGSCRIPTS_servlet = openjdk aux
+UWSGI_PKGSCRIPTS_lua = pri
+UWSGI_PKGSCRIPTS_mono = pri
+UWSGI_PKGSCRIPTS_rack = pri
+UWSGI_PKGSCRIPTS_rbthreads = single aux
+UWSGI_PKGSCRIPTS_fiber = single aux
+UWSGI_PKGSCRIPTS_python = python pri-py pri
+UWSGI_PKGSCRIPTS_gevent = python aux-py aux
+UWSGI_PKGSCRIPTS_greenlet = python aux-py aux
+UWSGI_PKGSCRIPTS_tornado = python aux-py aux
+UWSGI_PKGSCRIPTS_asyncio = python aux-py aux
+
+# Stem-based variables
+# ====================
+
+pkg_name = $(cdbs_curpkg)
+
+plugin_name = $(call pkg_name_to_plugin_name,$*)
+plugin_is_lang = $(strip $(or \
+	$(foreach lang,$(UWSGI_PLUGINLANGS),\
+		$(if $(filter $(UWSGI_KINDS_$(lang)),$*),$(lang)))))
+plugin_implies_lang = $(strip $(or \
+	$(if $(filter rbthreads fiber,$*),\
+		ruby)))
