## uwsgi 2.0.18+20200523

=== debian/changelog ===
uwsgi (2.0.18+20200523-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build using gcc-10 to match the gccgo version

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 01 Jun 2020 16:15:41 +0100

uwsgi (2.0.18+20200523-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot
    notable changes:
    + plugins/logsocket: always initialize ul->count
    + Don't touch rss if it hasn't been initialized in get_memusage
    + Avoid usage of uninitialized variable
    + fix Python 3.7 warning in pyuwsgi.c
    + python: fix object leak in uwsgi.workers()
    + plugins/redislog: fix redislog compilation on 32bit
    + core/rpc: return errori in register_rpc if name is >= UMAX8
    + uwsgiconfig: quote bin_name when linking
    + fifo: log non-ENOENT unlink() errors
    + php: Properly zero initialize zend_file_handle
    + implemented graceful shutdown for vassals
    + yaml/libyaml: Fix keys ignored after sequence,
      support non-indented sequence entries
    + Add smart-daemon2 option to notify it on reloads
    + chroot: Do not chroot multiple times when root
    + python: support io.BytesIO with wsgi.file_wrapper
    + Added websocket support for continuation frames
    + gevent plugin: prepare for support of future gevent 1.5.0
    + plugins/psgi: fix build with GCC 10
    + plugins/{pypy,python}: avoid needless paste.script dependency
    + plugins/cgi: improve performance for santitizing file descriptors
    + fix offload-threads with honour-range
    + logging: fix size of packets shown as negative
    + Fix possible deadlock in install

  [ Jonas Smedegaard ]
  * drop patches cherry-picked upstream now applied
  * unfuzz patches
  * fix extend patch 2017 to cover embedded execution of python;
    thanks to Alexandre Rossi (see bug#959577)
  * fix have uwsgi-dev depend on python3-distutils;
    thanks to Alexandre Rossi (see bug#959577)

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 May 2020 14:47:36 +0200
