=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: uwsgi
 Section: httpd
 Priority: optional
-Maintainer: uWSGI packaging team <pkg-uwsgi-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: uWSGI packaging team <pkg-uwsgi-devel@lists.alioth.debian.org>
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
 Build-Depends-Indep:
@@ -353,4 +354,3 @@
  .
  uWSGI can be run in preforking, threaded, asynchronous/evented modes and
  supports various forms of green threads/coroutines (such as uGreen, Greenlet,
- Fiber). uWSGI provides several methods of configuration: via command line,
