=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 deps-lib +=, libcap-dev [linux-any], libjail-dev [kfreebsd-any]
 
 # Needed (always/often) to build external modules
-deps-dev = binutils, gcc, python3, uwsgi-core
+deps-dev = binutils, gcc, python3, python3-distutils, uwsgi-core
 deps-dev +=, libc6-dev | libc-dev
 deps-dev +=, libbsd-dev [kfreebsd-any]
 deps-dev-recommends = git, cppcheck
